Bug 1410296 - source rpm of 4.10 kernels does not build in rawhide.
Summary: source rpm of 4.10 kernels does not build in rawhide.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 03:31 UTC by stan
Modified: 2019-01-09 12:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-10 18:28:10 UTC
Type: Bug


Attachments (Terms of Use)

Description stan 2017-01-05 03:31:53 UTC
Description of problem:
Using the latest 4.10 kernel src.rpm from koji, and using rpmbuild to build it, changing only the buildid, the package build fails because the perf plugins are not found.

Version-Release number of selected component (if applicable):
kernel-4.10.0-0.rc2.git2.1.fc26.src.rpm

How reproducible:
Every time

Steps to Reproduce:
1.  rpm -ivh kernel-4.10.0-0.rc2.git2.1.fc26.src.rpm
2.  edit ~/rpmbuild/SPECS/kernel.spec to change buildid with a define
3.  build packages with rpmbuild -': rpmbuild -bb --target=`uname -m` kernel.spec  > build_output  2> error_output

Actual results:
+ make -s 'EXTRA_CFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic' 'LDFLAGS=-Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld' -C tools/perf V=1 NO_PERF_READ_VDSO32=1 NO_PERF_READ_VDSOX32=1 WERROR=0 NO_LIBUNWIND=1 HAVE_CPLUS_DEMANGLE=1 NO_GTK2=1 NO_STRLCPY=1 NO_BIONIC=1 prefix=/usr DESTDIR=/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64 lib=lib64 install-bin install-traceevent-plugins
Warning: arch/x86/include/asm/cpufeatures.h differs from kernel
Warning: arch/x86/include/uapi/asm/vmx.h differs from kernel
Warning: arch/powerpc/include/uapi/asm/kvm.h differs from kernel
Warning: arch/arm/include/uapi/asm/kvm.h differs from kernel
Warning: arch/x86/include/asm/cpufeatures.h differs from kernel
Warning: arch/x86/include/uapi/asm/vmx.h differs from kernel
Warning: arch/powerpc/include/uapi/asm/kvm.h differs from kernel
Warning: arch/arm/include/uapi/asm/kvm.h differs from kernel
install: cannot create directory '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64': Not a directory
install: failed to access '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64/traceevent/plugins': Not a directory
install: cannot create directory '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64': Not a directory
install: failed to access '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64/traceevent/plugins': Not a directory
install: cannot create directory '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64': Not a directory
install: failed to access '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64/traceevent/plugins': Not a directory
install: cannot create directory '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64': Not a directory
install: failed to access '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64/traceevent/plugins': Not a directory
install: cannot create directory '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64': Not a directory
install: failed to access '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64/traceevent/plugins': Not a directory
install: cannot create directory '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64': Not a directory
install: failed to access '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64/traceevent/plugins': Not a directory
install: cannot create directory '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64': Not a directory
install: failed to access '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64/traceevent/plugins': Not a directory
install: cannot create directory '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64': Not a directory
install: failed to access '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64/traceevent/plugins': Not a directory
install: cannot create directory '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64': Not a directory
install: failed to access '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64/traceevent/plugins': Not a directory
install: cannot create directory '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64': Not a directory
install: failed to access '/home/stan/rpmbuild/BUILDROOT/kernel-4.10.0-0.rc2.git2.1.20170104.fc26.x86_64/usr/lib64/traceevent/plugins': Not a directory
make[3]: *** [Makefile:272: install_plugins] Error 1
make[2]: *** [Makefile.perf:544: install-traceevent-plugins] Error 2
make[1]: *** [Makefile.perf:205: sub-make] Error 2
make: *** [Makefile:109: install-traceevent-plugins] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.QPmbYL (%install)
    Bad exit status from /var/tmp/rpm-tmp.QPmbYL (%install)


Expected results:
Packages built successfully

Additional info:

Comment 1 stan 2017-01-10 18:28:10 UTC
After 

* Fri Jan 06 2017 Laura Abbott <labbott@fedoraproject.org> - Disable JVMTI for perf (rhbz 1410296)

I am able to successfully build 4.10.0-0.rc3.git0.1.fc26.x86_64 from the src.rpm

Closing the ticket.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.